<?php

declare(strict_types=1);

namespace App\Framework\Router\Result;

use App\Framework\Http\Status;
use App\Framework\Router\ActionResult;

final class JsonResult implements ActionResult
{
    public function __construct(
        public readonly array $data,
        public Status $status = Status::OK,
    ) {
    }
}
